> ## Documentation Index
> Fetch the complete documentation index at: https://developer.gptmaker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Configurações

> Atualiza as configurações do canal do tipo widget



## OpenAPI

````yaml PUT /v2/channel/{channelId}/widget-settings
openapi: 3.0.1
info:
  title: OpenAPI GPT Maker
  description: Documentação completa da API do GPT Maker
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.gptmaker.ai
security:
  - bearerAuth: []
paths:
  /v2/channel/{channelId}/widget-settings:
    put:
      description: Atualiza as configurações do canal do tipo widget
      parameters:
        - name: channelId
          in: path
          description: ID do canal
          required: true
          schema:
            type: string
      requestBody:
        description: Configurações do widget a serem atualizadas
        content:
          application/json:
            schema:
              type: object
              properties:
                isPublic:
                  type: boolean
                  description: >-
                    Define se o widget é público ou apenas permitido em alguns
                    sites
                initialMessage:
                  type: string
                  description: Mensagem inicial do widget
                origins:
                  type: array
                  items:
                    type: string
                    description: Lista de domínios autorizados
                suggestMessages:
                  type: array
                  items:
                    type: string
                    description: Lista de sugestões de perguntas
                headerBackground:
                  type: string
                  description: Cor do fundo do topo do widget
                headerColor:
                  type: string
                  description: Cor da fonte do topo
                messageUserBackground:
                  type: string
                  description: Cor de fundo da mensagem do usuário
                buttonBackground:
                  type: string
                  description: Cor de fundo do botão flutuante
        required: true
      responses:
        '200':
          description: Configurações do widget atualizadas com sucesso
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
        '400':
          description: Erro inesperado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Erro de token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    Error403:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````